This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 108977 - zipl not working
zipl not working
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: s390utils (Show other bugs)
3.0
s390x Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-03 18:36 EST by Janet Smith
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-24 11:53:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Janet Smith 2003-11-03 18:36:36 EST
Description of problem:
Has there been a replacement for zipl?  It doesn't seem to work.  New 
devices are not being recognized after a reboot.  And deleted devices 
are not "going away".  

/proc/dasd/devices - only reflects the original specification of 
devices.
jasmith@lnxerh Ready;
cat /etc/zipl.conf
[defaultboot]
default=linux
target=/boot/
[linux]
        image=/boot/vmlinuz-2.4.21-4.EL
        ramdisk=/boot/initrd-2.4.21-4.EL.img
        parameters="dasd=201-20F,0191,01B4-01BF root=/dev/dasda1"
jasmith@lnxerh Ready;
cat /boot/parmfile.1
dasd=201-20F,0191,01B4-01BF root=/dev/dasda1
jasmith@lnxerh Ready;

jasmith@lnxerh Ready;
cat /proc/dasd/devices
0201(ECKD) at ( 94:  0) is dasda      : active at blocksize: 4096, 
126000 blocks, 492 MB
0202(ECKD) at ( 94:  4) is dasdb      : active at blocksize: 4096, 
486000 blocks, 1898 MB
0203(none) at ( 94:  8) is dasdc      : unknown
0204(none) at ( 94: 12) is dasdd      : unknown
0205(none) at ( 94: 16) is dasde      : unknown
0206(none) at ( 94: 20) is dasdf      : unknown
0207(none) at ( 94: 24) is dasdg      : unknown
0208(none) at ( 94: 28) is dasdh      : unknown
0209(none) at ( 94: 32) is dasdi      : unknown
020a(none) at ( 94: 36) is dasdj      : unknown
020b(none) at ( 94: 40) is dasdk      : unknown
020c(none) at ( 94: 44) is dasdl      : unknown
020d(none) at ( 94: 48) is dasdm      : unknown
020e(none) at ( 94: 52) is dasdn      : unknown
020f(none) at ( 94: 56) is dasdo      : unknown



Version-Release number of selected component (if applicable):
s390utils-1.1.7-2


How reproducible:
always

Steps to Reproduce:
1.add or delete devices in /etc/zipl.conf
2.execute zipl
3.reboot
    

Actual results:
- did not see new devices
- delete devices did not "go away"

  

Expected results:
- new devices should be allowed for allocation and specified under
     /proc/dasd/devices
- delete devices should NOT be specified under
     /proc/dasd/devices



Additional info:
probably is a problem under s390 also
Comment 1 Florian La Roche 2003-11-04 18:39:00 EST
mkinitrd must be invoked again, the dasd settings will get copied into
the initrd with that. Does this resolve the issues?

greetings,

Florian La Roche
Comment 2 Janet Smith 2003-11-06 18:21:58 EST
The previous Redhat distros did not require the "mkinitrd".  I did 
try with mkinitrd and then zipl, but it still doesn't recognize 
changes.

lnxerh.bmc.com # mkinitrd /boot/initrd.image 2.4.21-4.EL
mkinitrd /boot/initrd.image 2.4.21-4.EL
lnxerh.bmc.com # cat /etc/zipl.conf
cat /etc/zipl.conf
Ýdefaultboot¨
default=linux
target=/boot/
Ýlinux¨
        image=/boot/vmlinuz-2.4.21-4.EL
        ramdisk=/boot/initrd.image
        parameters="dasd=201-20F,0191,01B4-01BF root=/dev/dasda1"
lnxerh.bmc.com # zipl
zipl
Building bootmap          : /boot//bootmap
Processing section        : linux
adding file to bootmap    : /boot/vmlinuz-2.4.21-4.EL located at 
0x00010000
adding file to bootmap    : /boot/initrd.image located at 0x00800000
adding file to bootmap    : /boot//parmfile.1 located at 0x00001000
Trailer entries used      : 7 out of 256
Bootloader for ECKD type devices with z/OS compatible layout 
installed.
Syncing disks....
...done                         
lnxerh.bmc.com # cat /boot/parmfile.1
cat /boot/parmfile.1
dasd=201-20F,0191,01B4-01BF root=/dev/dasda1                  
~~~~~~~~~~~~~~~~~~~~REBOOTED~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
~~~~~~~~~~~~~~~~
ipl 201 clear
Linux version 2.4.21-4.EL (bhcompile@devel5.z900.redhat.com) 
(gcc version 3.2.3 20030502 (Red Hat Linux 3.2.3-20)) #1 SMP Fri Oct 3
17:30:41 EDT 2003
We are running under VM (64 bit mode)
On node 0 totalpages: 32768
zone(0): 32768 pages.
zone(1): 0 pages.
zone(2): 0 pages.
Kernel command line: dasd=201-20F,0191,01B4-01BF root=/dev/dasda1
...............
lnxerh.bmc.com # cat /proc/dasd/devices
cat /proc/dasd/devices
0201(ECKD) at ( 94:  0) is dasda      : active at blocksize: 4096, 
126000 blocks, 492 MB
0202(ECKD) at ( 94:  4) is dasdb      : active at blocksize: 4096, 
486000 blocks, 1898 MB
0203(none) at ( 94:  8) is dasdc      : unknown
0204(none) at ( 94: 12) is dasdd      : unknown
0205(none) at ( 94: 16) is dasde      : unknown
0206(none) at ( 94: 20) is dasdf      : unknown
0207(none) at ( 94: 24) is dasdg      : unknown
0208(none) at ( 94: 28) is dasdh      : unknown
0209(none) at ( 94: 32) is dasdi      : unknown
020a(none) at ( 94: 36) is dasdj      : unknown
020b(none) at ( 94: 40) is dasdk      : unknown
020c(none) at ( 94: 44) is dasdl      : unknown
020d(none) at ( 94: 48) is dasdm      : 
unknown                                              
020e(none) at ( 94: 52) is dasdn      : unknown
020f(none) at ( 94: 56) is dasdo      : unknown
lnxerh.bmc.com #

Comment 3 Florian La Roche 2003-11-24 11:53:17 EST
I think this one was cleared up via email.

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.